There's a difference in how Java and the RPG JNI code handles the default CCSID between V5R3 and V7R1; particularly if the default is 65535. Check your system or JOBD CCSID. Make it 37 for US English.

<div>-------- Original message --------</div><div>From: "Lanteigne, Edouard" <Edouard.Lanteigne@xxxxxxxxxxx> </div><div>Date:11/07/2014 7:56 PM (GMT-06:00) </div><div>To: java400-l@xxxxxxxxxxxx </div><div>Subject: Java issue since Upgrade from V5R3 to V731 </div><div>
</div>Hi,

I have a RPGLE that call a Method in a Class passing string parameters and since we have upgraded I am getting an unknow error when the RPGLE tryin ton convert the RPG char to Java string.

Any got this error?

Thanks.

Edouard Lanteigne
Hospira Canada
I.T. Infrastructure / IT Infrastructure
Tel : (514) 905-2633
Cell : (514) 293-3329
Edouard.Lanteigne@xxxxxxxxxxx


CONFIDENTIALITY STATEMENT. This email and any attachment is for the sole use of the intended recipient and may contain private, confidential and/or privileged information that may be subject to Hospira internal policies. If you are not the intended recipient, any dissemination, distribution or copying is strictly prohibited. If you have received this transmission in error, please notify Hospira immediately by return email or by email to privacypostmaster@xxxxxxxxxxx and delete the message and all copies and attachments from your system.

As an Amazon Associate we earn from qualifying purchases.

This thread ...


Follow On AppleNews
Return to Archive home page | Return to MIDRANGE.COM home page

This mailing list archive is Copyright 1997-2022 by midrange.com and David Gibbs as a compilation work. Use of the archive is restricted to research of a business or technical nature. Any other uses are prohibited. Full details are available on our policy page. If you have questions about this, please contact [javascript protected email address].

Operating expenses for this site are earned using the Amazon Associate program and Google Adsense.